package com.engine.organization.mapper.comp;

import com.engine.organization.entity.company.po.CompanyPO;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

/**
 * @description:
 * @author:dxfeng
 * @createTime: 2022/05/16
 * @version: 1.0
 */
public interface CompanyMapper {
    /**
     * 列表查询
     *
     * @return
     */
    List<CompanyPO> listAll(@Param("orderSql") String orderSql);

    List<CompanyPO> listByFilter(@Param("CompanyPO") CompanyPO CompanyPO, @Param("orderSql") String orderSql);

    /**
     * 查询所有被引用的ID
     *
     * @return
     */
    List<String> listUsedId();

    List<String> listUsedIds();

    /**
     * 获取子层级数据
     *
     * @param ids
     * @return
     */
    List<CompanyPO> listChild(@Param("ids") Collection<Long> ids);
}
